Need a special offer?Find out if your project fits.
+
List of all demos

Flexmonster Pivot Charts for React

Flexmonster Pivot Charts — another approach to the visualization of aggregated data using chart libraries.


    import React from "react";
    import * as FlexmonsterReact from "react-flexmonster";
    
    class PivotTableDemo extends React.Component {
      render() {
        return (
          <>
            <button onClick={this.showGrid}>Grid</button>
            <button onClick={() => this.showColumnChart("column")}>Column</button>
            <button onClick={() => this.showBarChart("bar_h")}>Bar</button>
            <button onClick={() => this.showLineChart("line")}>Line</button>
            <button onClick={() => this.showScatterChart("scatter")}>Scatter</button>
            <button onClick={() => this.showPieChart("pie")}>Pie</button>
            <button onClick={() => this.showColumnLineChart("column_line")}>Combo</button>
            <button onClick={() => this.showStackedColumn("stacked_column")}>Stacked</button>
            <div className="App">
              <FlexmonsterReact.Pivot
                ref="pivot"
                componentFolder="https://cdn.flexmonster.com/"
                height={500}
                report={{
                  dataSource: {
                    type: "json",
                    filename: "data/demos/pivot-charts-demo-data.json",
                  },
                  options: {
                    viewType: "charts",
                    chart: {
                      type: "column",
                    },
                  },
                  slice: {
                    rows: [
                      {
                        uniqueName: "Order Date.Month",
                      },
                    ],
                    columns: [
                      {
                        uniqueName: "City",
                        filter: {
                          measure: {
                            uniqueName: "Orders",
                            aggregation: "sum",
                          },
                          query: {
                            top: 5,
                          },
                        },
                      },
                      {
                        uniqueName: "[Measures]",
                      },
                    ],
                    measures: [
                      {
                        uniqueName: "Orders",
                        aggregation: "sum",
                      },
                    ],
                  },
                }}
              />
            </div>
          </>
        );
      }
    
      showGrid = () => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          reportFilters: [
            {
              uniqueName: "Order Date.Year",
            },
            {
              uniqueName: "Order Date.Month",
            },
            {
              uniqueName: "Order Date.Day",
            },
          ],
          rows: [
            {
              uniqueName: "Payment Type",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Referring Site",
            },
          ],
          measures: [
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              caption: "Revenue",
              format: "currency",
            },
          ],
        };
        pivotReport.conditions = [
          {
            formula: "#value < 45000",
            measure: "Revenue",
            format: {
              backgroundColor: "#df3800",
              color: "#fff",
              fontFamily: "Arial",
              fontSize: "12px",
            },
          },
          {
            formula: "#value > 400000",
            measure: "Revenue",
            format: {
              backgroundColor: "#00a45a",
              color: "#fff",
              fontFamily: "Arial",
              fontSize: "12px",
            },
          },
        ];
        pivotReport.options = {
          viewType: "grid",
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showColumnChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Month",
            },
          ],
          columns: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 5,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showLineChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 2,
                },
              },
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
          sorting: {
            row: {
              type: "desc",
              tuple: [],
              measure: {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            },
          },
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showStackedColumn = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Payment Type",
              filter: {
                measure: {
                  uniqueName: "Orders",
                },
                query: {
                  top: 3,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                },
                query: {
                  top: 3,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
          sorting: {
            column: {
              type: "desc",
              tuple: [],
              measure: {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            },
          },
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showBarChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 6,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Payment Type",
              filter: {
                members: ["payment type.[debit card]", "payment type.[invoice]"],
              },
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showPieChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Revenue",
                },
                query: {
                  top: 5,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              format: "currency",
              caption: "Revenue",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showScatterChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 3,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    
      showColumnLineChart = (type) => {
        let pivotReport = this.refs.pivot.flexmonster.getReport();
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              caption: "Revenue",
              format: "currency",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.refs.pivot.flexmonster.setReport(pivotReport);
      };
    }
    
    export default PivotTableDemo;
    
    #fm-pivot-view .fm-chart .fm-circle {
      r: 8;
    }
    
    /* Chart style  */
    .fm-charts-color-1 {
      fill: rgb(0, 164, 90) !important;
    }
    
    .fm-charts-color-2 {
      fill: rgb(223, 56, 0) !important;
    }
    
    .fm-charts-color-3 {
      fill: rgb(255, 184, 0) !important;
    }
    
    .fm-charts-color-4 {
      fill: rgb(109, 59, 216) !important;
    }
    
    .fm-charts-color-5 {
      fill: rgb(0, 117, 255) !important;
    }
    
    #fm-pivot-view .fm-bar,
    #fm-pivot-view .fm-charts-view .fm-chart-legend ul li .fm-icon-display,
    #fm-pivot-view .fm-line,
    #fm-pivot-view .fm-arc path,
    #fm-pivot-view .fm-bar-stack,
    #fm-pivot-view .fm-scatter-point {
      opacity: 70% !important;
    }
    
    #fm-yAxis-label,
    #fm-xAxis > text,
    #fm-yAxis > text {
      display: none;
    }
    

    End-users can filter, expand, collapse, drill up, and drill down the data hierarchies, drill through the chart’s segments and control the legend’s elements. Embedding interactive charts to your React application will just take a few simple steps with helpful pivot charts tooltips.

    Our Flexmonster react pivot component supports the following chart types: column chart, bar chart, line chart, scatter chart, pie chart, stacked column chart, and a combination of column and line charts.

    Also you can jump from the grid view to the built-in charts with just one click on the Toolbar or you can use API calls to create the needed functionality

Need a special offer?Find out if your project fits.
+
List of all demos

Flexmonster Pivot Charts for Angular

Flexmonster Pivot Charts for Angular is an additional way to visualize aggregated data from the grid in the form of different charts to get another point of view.


    import { Component, OnInit, ViewChild } from "@angular/core";
    import { FlexmonsterPivot } from "ng-flexmonster";
    
    @Component({
      selector: "pivotComponent",
      templateUrl: "./pivot.component.html",
      styleUrls: ["./pivot.component.css"],
    })
    export class PivotComponent implements OnInit {
      @ViewChild("pivot") pivot!: FlexmonsterPivot;
    
      public report: Flexmonster.Report = {
        dataSource: {
          type: "json",
          filename: "data/demos/pivot-charts-demo-data.json",
        },
        options: {
          viewType: "charts",
          chart: {
            type: "column",
          },
        },
        slice: {
          rows: [
            {
              uniqueName: "Order Date.Month",
            },
          ],
          columns: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 5,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        },
      };
    
      constructor() {}
    
      ngOnInit(): void {}
    
      showGrid() {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          reportFilters: [
            {
              uniqueName: "Order Date.Year",
            },
            {
              uniqueName: "Order Date.Month",
            },
            {
              uniqueName: "Order Date.Day",
            },
          ],
          rows: [
            {
              uniqueName: "Payment Type",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Referring Site",
            },
          ],
          measures: [
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              caption: "Revenue",
              format: "currency",
            },
          ],
        };
        pivotReport.conditions = [
          {
            formula: "#value < 45000",
            measure: "Revenue",
            format: {
              backgroundColor: "#df3800",
              color: "#fff",
              fontFamily: "Arial",
              fontSize: "12px",
            },
          },
          {
            formula: "#value > 400000",
            measure: "Revenue",
            format: {
              backgroundColor: "#00a45a",
              color: "#fff",
              fontFamily: "Arial",
              fontSize: "12px",
            },
          },
        ];
        pivotReport.options = {
          viewType: "grid",
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showColumnChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Month",
            },
          ],
          columns: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 5,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showLineChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 2,
                },
              },
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
          sorting: {
            row: {
              type: "desc",
              tuple: [],
              measure: {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            },
          },
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster?.setReport(pivotReport);
      }
    
      showStackedColumn(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Payment Type",
              filter: {
                measure: {
                  uniqueName: "Orders",
                },
                query: {
                  top: 3,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                },
                query: {
                  top: 3,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
          sorting: {
            column: {
              type: "desc",
              tuple: [],
              measure: {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            },
          },
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showBarChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Referring Site",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 6,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
            {
              uniqueName: "Payment Type",
              filter: {
                members: ["payment type.[debit card]", "payment type.[invoice]"],
              },
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showPieChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Revenue",
                },
                query: {
                  top: 5,
                },
              },
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              format: "currency",
              caption: "Revenue",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showScatterChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "City",
              filter: {
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
                query: {
                  top: 3,
                },
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    
      showColumnLineChart(type: string) {
        let pivotReport = this.pivot.flexmonster?.getReport() as Flexmonster.Report;
        pivotReport.slice = {
          rows: [
            {
              uniqueName: "Order Date.Year",
            },
          ],
          columns: [
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Orders",
              aggregation: "sum",
            },
            {
              uniqueName: "Revenue",
              formula: 'sum("Amount") * sum("Price")',
              individual: true,
              caption: "Revenue",
              format: "currency",
            },
          ],
        };
        pivotReport.options = {
          viewType: "charts",
          chart: {
            type: type,
          },
        };
        this.pivot.flexmonster.setReport(pivotReport);
      }
    }
    
    <button (click)="showGrid()">Grid</button>
    <button (click)="showColumnChart('column')">Column</button>
    <button (click)="showBarChart('bar_h')">Bar</button>
    <button (click)="showLineChart('line')">Line</button>
    <button (click)="showScatterChart('scatter')">Scatter</button>
    <button (click)="showPieChart('pie')">Pie</button>
    <button (click)="showColumnLineChart('column_line')">Combo</button>
    <button (click)="showStackedColumn('stacked_column')">Stacked</button>
    
    <fm-pivot
      #pivot
      [height]="500"
      [componentFolder]="'https://cdn.flexmonster.com/'"
      [report]="report">
    </fm-pivot>
    
    #fm-pivot-view .fm-chart .fm-circle {
      r: 8;
    }
    
    /* Chart style  */
    .fm-charts-color-1 {
      fill: rgb(0, 164, 90) !important;
    }
    
    .fm-charts-color-2 {
      fill: rgb(223, 56, 0) !important;
    }
    
    .fm-charts-color-3 {
      fill: rgb(255, 184, 0) !important;
    }
    
    .fm-charts-color-4 {
      fill: rgb(109, 59, 216) !important;
    }
    
    .fm-charts-color-5 {
      fill: rgb(0, 117, 255) !important;
    }
    
    #fm-pivot-view .fm-bar,
    #fm-pivot-view .fm-charts-view .fm-chart-legend ul li .fm-icon-display,
    #fm-pivot-view .fm-line,
    #fm-pivot-view .fm-arc path,
    #fm-pivot-view .fm-bar-stack,
    #fm-pivot-view .fm-scatter-point {
      opacity: 70% !important;
    }
    
    #fm-yAxis-label,
    #fm-xAxis > text,
    #fm-yAxis > text {
      display: none;
    }
    

    Our drillable Angular pivot charts have the same functionality as the pivot grid: you can expand and collapse the data, filter the members and change the chart configurations on the fly.

    The charts also have customizable tooltips and legend information to give a better user experience.

    Our Angular reporting component has the following chart types:

    • column chart,
    • bar chart,
    • line chart,
    • scatter chart,
    • pie chart,
    • stacked column chart,
    • combined column,
    • line charts.

    Switch between different chart types and pivot tables via UI or API calls to see the data from another angle and get even more insights.

Need a special offer?Find out if your project fits.
+
List of all demos

Flexmonster Pivot Charts for Vue

Flexmonster Pivot Charts — is one more option to visualize aggregated data and highlight a particular subset of data.


    <template>
      <button v-on:click="showGrid">Grid</button>
      <button v-on:click="showColumnChart">Column</button>
      <button v-on:click="showBarChart">Bar</button>
      <button v-on:click="showLineChart">Line</button>
      <button v-on:click="showScatterChart">Scatter</button>
      <button v-on:click="showPieChart">Pie</button>
      <button v-on:click="showColumnLineChart">Combo</button>
      <button v-on:click="showStackedColumn">Stacked</button>
    			
      <Pivot
        ref="pivot"
        componentFolder="https://cdn.flexmonster.com/"
        height="500"
        v-bind:report="report"
      />
    </template>
    
    <script>
    import Pivot from "vue-flexmonster/vue3";
    import "flexmonster/flexmonster.css";
    
    export default {
      name: "PivotComponent",
      components: {
        Pivot,
      },
      data() {
        return {
          report: {
            dataSource: {
              type: "json",
              filename: "data/demos/pivot-charts-demo-data.json",
            },
            options: {
              viewType: "charts",
              chart: {
                type: "column",
              },
            },
            slice: {
              rows: [
                {
                  uniqueName: "Order Date.Month",
                },
              ],
              columns: [
                {
                  uniqueName: "City",
                  filter: {
                    measure: {
                      uniqueName: "Orders",
                      aggregation: "sum",
                    },
                    query: {
                      top: 5,
                    },
                  },
                },
                {
                  uniqueName: "[Measures]",
                },
              ],
              measures: [
                {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
              ],
            },
          },
        };
      },
      methods: {
        showGrid() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            reportFilters: [
              {
                uniqueName: "Order Date.Year",
              },
              {
                uniqueName: "Order Date.Month",
              },
              {
                uniqueName: "Order Date.Day",
              },
            ],
            rows: [
              {
                uniqueName: "Payment Type",
              },
            ],
            columns: [
              {
                uniqueName: "[Measures]",
              },
              {
                uniqueName: "Referring Site",
              },
            ],
            measures: [
              {
                uniqueName: "Revenue",
                formula: 'sum("Amount") * sum("Price")',
                individual: true,
                caption: "Revenue",
                format: "currency",
              },
            ],
          };
          pivotReport.conditions = [
            {
              formula: "#value < 45000",
              measure: "Revenue",
              format: {
                backgroundColor: "#df3800",
                color: "#fff",
                fontFamily: "Arial",
                fontSize: "12px",
              },
            },
            {
              formula: "#value > 400000",
              measure: "Revenue",
              format: {
                backgroundColor: "#00a45a",
                color: "#fff",
                fontFamily: "Arial",
                fontSize: "12px",
              },
            },
          ];
          pivotReport.options = {
            viewType: "grid",
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showColumnChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Order Date.Month",
              },
            ],
            columns: [
              {
                uniqueName: "City",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                    aggregation: "sum",
                  },
                  query: {
                    top: 5,
                  },
                },
              },
              {
                uniqueName: "[Measures]",
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            ],
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "column",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showLineChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Order Date.Year",
              },
            ],
            columns: [
              {
                uniqueName: "[Measures]",
              },
              {
                uniqueName: "Referring Site",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                    aggregation: "sum",
                  },
                  query: {
                    top: 2,
                  },
                },
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            ],
            sorting: {
              row: {
                type: "desc",
                tuple: [],
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
              },
            },
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "line",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showStackedColumn() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Payment Type",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                  },
                  query: {
                    top: 3,
                  },
                },
              },
            ],
            columns: [
              {
                uniqueName: "Referring Site",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                  },
                  query: {
                    top: 3,
                  },
                },
              },
              {
                uniqueName: "[Measures]",
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            ],
            sorting: {
              column: {
                type: "desc",
                tuple: [],
                measure: {
                  uniqueName: "Orders",
                  aggregation: "sum",
                },
              },
            },
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "stacked_column",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showBarChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Referring Site",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                    aggregation: "sum",
                  },
                  query: {
                    top: 6,
                  },
                },
              },
            ],
            columns: [
              {
                uniqueName: "[Measures]",
              },
              {
                uniqueName: "Payment Type",
                filter: {
                  members: ["payment type.[debit card]", "payment type.[invoice]"],
                },
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            ],
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "bar_h",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showPieChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "City",
                filter: {
                  measure: {
                    uniqueName: "Revenue",
                  },
                  query: {
                    top: 5,
                  },
                },
              },
            ],
            columns: [
              {
                uniqueName: "[Measures]",
              },
            ],
            measures: [
              {
                uniqueName: "Revenue",
                formula: 'sum("Amount") * sum("Price")',
                individual: true,
                format: "currency",
                caption: "Revenue",
              },
            ],
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "pie",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showScatterChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Order Date.Year",
              },
            ],
            columns: [
              {
                uniqueName: "City",
                filter: {
                  measure: {
                    uniqueName: "Orders",
                    aggregation: "sum",
                  },
                  query: {
                    top: 3,
                  },
                },
              },
              {
                uniqueName: "[Measures]",
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
            ],
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "scatter",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
        showColumnLineChart() {
          let pivotReport = this.$refs.pivot.flexmonster.getReport();
          pivotReport.slice = {
            rows: [
              {
                uniqueName: "Order Date.Year",
              },
            ],
            columns: [
              {
                uniqueName: "[Measures]",
              },
            ],
            measures: [
              {
                uniqueName: "Orders",
                aggregation: "sum",
              },
              {
                uniqueName: "Revenue",
                formula: 'sum("Amount") * sum("Price")',
                individual: true,
                caption: "Revenue",
                format: "currency",
              },
            ],
          };
          pivotReport.options = {
            viewType: "charts",
            chart: {
              type: "column_line",
            },
          };
          this.$refs.pivot.flexmonster.setReport(pivotReport);
        },
      },
    };
    </script>
    
    #fm-pivot-view .fm-chart .fm-circle {
      r: 8;
    }
    
    /* Chart style  */
    .fm-charts-color-1 {
      fill: rgb(0, 164, 90) !important;
    }
    
    .fm-charts-color-2 {
      fill: rgb(223, 56, 0) !important;
    }
    
    .fm-charts-color-3 {
      fill: rgb(255, 184, 0) !important;
    }
    
    .fm-charts-color-4 {
      fill: rgb(109, 59, 216) !important;
    }
    
    .fm-charts-color-5 {
      fill: rgb(0, 117, 255) !important;
    }
    
    #fm-pivot-view .fm-bar,
    #fm-pivot-view .fm-charts-view .fm-chart-legend ul li .fm-icon-display,
    #fm-pivot-view .fm-line,
    #fm-pivot-view .fm-arc path,
    #fm-pivot-view .fm-bar-stack,
    #fm-pivot-view .fm-scatter-point {
      opacity: 70% !important;
    }
    
    #fm-yAxis-label,
    #fm-xAxis > text,
    #fm-yAxis > text {
      display: none;
    }
    

    After you add our web component into your Vue project you can filter, expand, collapse, drill up, and drill down the data hierarchies, drill through the chart's segments and control the legend's elements.

    Use pivot charts to show the pivot data in graphical format, using 10 charts types: column chart, bar chart, line chart, scatter chart, pie chart, stacked column chart, and a combination of column and line chart.

    Our drillable pivot charts are built-in so you can change you report dynamically switching between grid & charts views via UI or API calls.